/*
Copyright (C) 2002 Milos Negovanovic

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/




package fsl;
public class FileFilter implements java.io.FilenameFilter {
	private String[] categories;
	private String LocalEbuildsDir;
	private logic.Helper x;
	
	
	public FileFilter() {
		x = new logic.Helper();
		categories = x.getCategories();
		LocalEbuildsDir = x.getPortDirOverlay().substring(x.getPortDirOverlay().lastIndexOf("/") + 1);
	}
	
	
	public boolean accept(java.io.File dir, String name) {
		if ( ( dir.getName().equals("portage") || dir.getName().equals(LocalEbuildsDir) || dir.getName().equals("pkg") ) && x.search(categories,name) ) {
			return true;
		}
		else {
			if (x.search(categories,dir.getName())) {
				return true;
			}
			else {
				if (name.endsWith(".ebuild")) {
					return true;
				}
				else {
					return false;
				}
			}
		}
	}
}
